Modify

#1045 closed defect (fixed)

Skype: MSN accounts isn't showed in bitlbee

Reported by: Zedde Owned by: Miklos Vajna
Priority: normal Milestone:
Component: Skype Version: devel
Keywords: skype skyped Cc:
IRC client+version: irssi 0.8.15 (20100403 1617) Operating System: Linux
OS version/distro: Ubuntu / precise

Description

I have logged in with my msn account in skype on my virtual ubuntu desktop. All looks ok there.

In bitlbee only skype contacts is shown, msn contacts is just a space I have added prefix to all skype accounts so I get "skype- "

skyped.py ver 0.1.1

BitlBee-3.2+20130115+devel+969-1

Attachments (0)

Change History (13)

comment:1 Changed at 2013-04-15T18:10:49Z by Miklos Vajna

Hm, can you please also mention your Skype version?

comment:2 Changed at 2013-04-16T10:25:45Z by Zedde

I'm running 4.1.0.20

comment:3 Changed at 2013-04-17T07:33:49Z by Zedde

If I do a whois on the contact I get this:

09:30 [bitlbee] -!- Skype- [@skype.com]
09:30 [bitlbee] -!-  ircname  : Skype-
09:30 [bitlbee] -!-  server   : <my skype vm desktop server address>  [skype network]
09:30 [bitlbee] -!- End of WHOIS

comment:4 Changed at 2013-04-21T19:31:01Z by Miklos Vajna

OK, I can reproduce this. There are two problems here:

  • if you have a skype contact, which in fact an msn contact, the when they login in, skyped sends something like:
USER  ONLINESTATUS ONLINE

Note the double space. So the username is missing. This is easy to ignore, so you don't end up with a "skype-" (or in case you have no prefix, "_") nickname. I'll fix this in a bit.

  • The more interesting question is why "SEARCH FRIENDS" does not list MSN contacts, "SEARCH FRIENDS" is supposed to return all your contacts... I don't have an answer for that ATM.

comment:5 Changed at 2013-04-21T19:43:17Z by Miklos Vajna

http://code.google.com/p/skype4pidgin/issues/detail?id=210 (see comment 6)

Seems I can only fix the fake account problem here...

comment:6 Changed at 2013-04-21T19:52:34Z by Miklos Vajna

Actually, if one is interested in full MSN support, writing the BitlBee equivalent of this may make sense:

http://code.google.com/p/pidgin-msn-xmpp/

But sorry, no, I don't plan to mess with OAuth. :-)

comment:7 Changed at 2013-04-22T17:22:33Z by Zedde

So there is no solution to the problem except write xmpp "plugin" to bitlbee ?

comment:8 Changed at 2013-04-23T05:46:28Z by Miklos Vajna

Yes, something like that. But if you look at the code:

http://code.google.com/p/pidgin-msn-xmpp/source/browse/trunk/libmsnxmpp.c

It seems this is really just plain xmpp (what BitlBee already supports), just with custom authentication. Probably best to talk to Wilmer, I can imagine once the MSN servers are down, he'll update the msn module to do the same or so.

comment:9 Changed at 2013-05-04T18:40:04Z by Miklos Vajna

Resolution: wontfix
Status: newclosed

comment:10 Changed at 2013-05-04T18:43:00Z by Miklos Vajna

Resolution: wontfix
Status: closedreopened

Oh, actually the empty nickname part is something I wanted to fix.

comment:11 Changed at 2013-05-04T18:43:30Z by Miklos Vajna

Resolution: fixed
Status: reopenedclosed

That's fixed now in r981.1.7.

comment:12 in reply to:  8 Changed at 2013-05-06T11:56:24Z by wilmer

Replying to vmiklos:

It seems this is really just plain xmpp (what BitlBee already supports), just with custom authentication. Probably best to talk to Wilmer, I can imagine once the MSN servers are down, he'll update the msn module to do the same or so.

The Jabber module has support for this already:

http://bugs.bitlbee.org/bitlbee/browser/devel/protocols/jabber/sasl.c?rev=devel%2C982#L49

It's rather limited but it does presence and chat which is all that matters anyway.

comment:13 Changed at 2013-05-06T12:23:40Z by Miklos Vajna

Indeed.

Zedde, I tried to collect the non-trivial bits at http://wiki.bitlbee.org/HowtoMsnXmpp, feel free to extend further as/if necessary. :-)

Modify Ticket

Action
as closed The owner will remain Miklos Vajna.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.